This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107633 - Exception thrown when attempting to create a new workflow task without entering a description
Exception thrown when attempting to create a new workflow task without enteri...
Status: CLOSED DUPLICATE of bug 106086
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 100952
  Show dependency treegraph
 
Reported: 2003-10-21 11:41 EDT by Richard Su
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:59:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Su 2003-10-21 11:41:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007

Description of problem:
There should be some validation on the task description attribute if is to be
not null. Otherwise, if a user does not enter a description when creating a
workflow task, they well get this error:

An unexpected error has occurred	

An unexpected error has occurred. If this continues to be a problem for you
please contact the administrators of the site quoting the following:

CCM issue report code: 172.16.64.132:141affab:f85f4723b1

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.132:141affab:f85f4723b1 -*-*-*-
-*-*-*- Message:  (root cause: Unable to send all events to database for object
[com.arsdigita.cms.workflow.CMSTask:{id=28026}] because these required
properties are null:
 [com.arsdigita.cms.workflow.CMSTask:{id=28026}].description) -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Content-Length: 366
Content-Type: application/x-www-form-urlencoded
Cookie: JSESSIONID=aAykW-DBWck6;
ad_user_login=1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ==
Host: rwsu.boston.redhat.com:9003
Keep-Alive: 300
Referer:
http://rwsu.boston.redhat.com:9003/ccm/content/admin/index.jsp?bbp.68.ps=20&bbp.681.stack=689&bbp.542.sel=13026&bbp.916.sel=3070&bbp.793.d=asc&bbp.s=432&bbp.781.d=asc&bbp.18.sel=3060&bbp.i=d0.4.1.2.1.a6.1.y.1&bbp.3.pane=3&bbp.916.state=+3070+&bbp.366.stack=374&g11n.enc=UTF-8&bbp.18.state=+3060+&bbp.1006.d=asc&g11n.enc=UTF-8
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aAykW-DBWck6 (expires: -1)
ad_user_login: 1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.FlushException:  (root cause:
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.cms.workflow.CMSTask:{id=28026}] because these required
properties are null:
 [com.arsdigita.cms.workflow.CMSTask:{id=28026}].description)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:134)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:109)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:424)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.cms.ui.workflow.TaskAddForm$ProcessListener.process(TaskAddForm.java:100)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:259)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:339)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)
Root cause: 
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.cms.workflow.CMSTask:{id=28026}] because these required
properties are null:
 [com.arsdigita.cms.workflow.CMSTask:{id=28026}].description
	at com.redhat.persistence.Session.assertFlushed(Session.java:431)
	at com.arsdigita.persistence.DataObjectImpl.assertFlushed(DataObjectImpl.java:435)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:418)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.cms.ui.workflow.TaskAddForm$ProcessListener.process(TaskAddForm.java:100)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:259)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:339)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@6162ffbf = {
m_page = com.arsdigita.cms.ui.ContentSectionPage@3e2cffa9,
m_request = com.caucho.server.http.DispatchRequest@77e77faf,
m_response = com.caucho.server.http.HttpResponse@77c3ffab,
m_pageState = com.arsdigita.bebop.FormData@6160ffbf = {
m_parameterDataValues = {bbp.68.ps={20, []}, bbp.749.ch={null, []},
bbp.410.stack={null, []}, bbp.1006.col={null, []}, bbp.1061.sel={null, []},
bbp.19.ct={null, []}, bbp.560.sel={null, []}, bbp.268.sel={null, []},
bbp.681.stack={[Ljava.lang.Integer;@6fd3ffbf, []}, bbp.91.sel={null, []},
bbp.74.col={null, []}, bbp.1093.sel={null, []}, bbp.90.state={null, []},
bbp.755.sc={null, []}, bbp.1082.sel={null, []}, bbp.767.t={null, []},
bbp.793.mid={null, []}, bbp.170.row={null, []}, bbp.858.row={null, []},
bbp.888.sel={null, []}, bbp.767.c={null, []}, bbp.202.sel={null, []},
bbp.240.sel={null, []}, bbp.456.row={null, []}, bbp.137.row={null, []},
bbp.62.act={null, []}, bbp.992.col={null, []}, bbp.605.row={null, []},
bbp.761.pl={null, []}, bbp.828.col={null, []}, bbp.34.fldr={null, []},
bbp.355.sel={null, []}, bbp.1115.sel={null, []}, bbp.814.row={null, []},
bbp.542.sel={13026, []}, bbp.300.col={null, []}, bbp.1104.sel={null, []},
bbp.1048.sel={null, []}, bbp.916.sel={3070, []}, bbp.793.o={null, []},
bbp.290.row={null, []}, bbp.333.sel={null, []}, bbp.466.row={null, []},
bbp.1131.sel={null, []}, bbp.120.row={null, []}, bbp.781.o={null, []},
query={null, []}, bbp.781.m={null, []}, bbp.793.d={asc, []}, bbp.311.sel={null,
[]}, bbp.221.stack={null, []}, bbp.v={null, []}, bbp.793.col={null, []},
bbp.s={411, []}, bbp.781.d={asc, []}, bbp.425.col={null, []}, privs_set={null,
[]}, bbp.18.sel={3060, []}, bbp.555.stack={null, []}, bbp.618.sel={null, []},
bbp.694.sel={null, []}, bbp.i={{4, 7, 374, 409, 411}, []}, bbp.1031.sel={null,
[]}, bbp.83.sel={null, []}, bbp.964.sel={null, []}, bbp.e={null, []},
bbp.74.row={null, []}, bbp.27.iid={null, []}, bbp.3.pane={3, []},
bbp.72.sel={null, []}, bbp.916.state={ 3070 , []}, single_type={null, []},
bbp.584.sel={null, []}, bbp.927.stack={null, []}, bbp.254.sel={null, []},
bbp.374.stack={[Ljava.lang.Integer;@60847fbf, []}, bbp.547.stack={null, []},
bbp.403.sel={null, []}, bbp.781.col={null, []}, bbp.689.stack={null, []},
bbp.62.srcs={null, []}, bbp.1006.mid={null, []}, bbp.391.sel={null, []},
bbp.170.col={null, []}, bbp.502.sel={null, []}, bbp.644.sel={null, []},
bbp.992.row={null, []}, bbp.858.col={null, []}, bbp.828.row={null, []},
bbp.518.sel={null, []}, bbp.212.stack={null, []}, bbp.27.bid={null, []},
bbp.456.col={null, []}, bbp.137.col={null, []}, bbp.919.stack={null, []},
bbp.605.col={null, []}, bbp.226.sel={null, []}, bbp.534.sel={null, []},
bbp.676.sel={null, []}, bbp.572.sel={null, []}, bbp.300.row={null, []},
bbp.366.stack={[Ljava.lang.Integer;@60a8bfbf, []}, bbp.49.fldr={null, []},
bbp.1006.o={null, []}, bbp.935.sel={null, []}, bbp.814.col={null, []},
bbp.710.sel={null, []}, bbp.379.sel={null, []}, g11n.enc={UTF-8, []},
bbp.63.target={null, []}, bbp.290.col={null, []}, bbp.726.sel={null, []},
bbp.18.state={ 3060 , []}, bbp.1128.sel={null, []}, bbp.466.col={null, []},
bbp.1006.d={asc, []}, bbp.120.col={null, []}, bbp.425.row={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@550bfa9,
m_locale = en,
m_isTransformed = true,
m_isValid = true,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 5, 6, 8, 9, 10, 20, 21, 22, 23, 63, 69, 114, 115, 116, 169,
202, 213, 214, 215, 216, 217, 218, 219, 220, 221, 273, 274, 275, 276, 277, 278,
367, 368, 369, 370, 371, 372, 373, 408, 410, 412, 413, 433, 434, 435, 436, 548,
549, 550, 551, 552, 553, 554, 555, 589, 590, 591, 592, 593, 682, 683, 684, 685,
686, 687, 688, 689, 731, 732, 733, 734, 735, 768, 808, 809, 810, 857, 920, 921,
922, 923, 924, 925, 926, 927, 969, 970, 971, 972, 973, 974, 975, 976, 977, 978}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.cms.ui.workflow.WorkflowAdminPane$SelectionRequestLocal@1f0effa4=[com.arsdigita.workflow.simple.WorkflowTemplate:{id=13026}],
com.arsdigita.bebop.Form$2@5ba7bfa4=}
com.arsdigita.cms.dispatcher.section: [com.arsdigita.cms.ContentSection:{id=3064}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@398e7fbe
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@4792ffb8=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 3064
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/content/admin/index.jsp?bbp.18.sel=3060&bbp.68.ps=20&bbp.916.state=+3070+&bbp.1006.d=asc&bbp.781.d=asc&bbp.3.pane=3&bbp.s=411&bbp.916.sel=3070&bbp.793.d=asc&bbp.i=d0.4.1.2.1.a6.1.y.1.1.1&bbp.542.sel=13026&bbp.681.stack=689&finish=%C2%A0%C2%A0%C2%A0Finish%C2%A0%C2%A0%C2%A0&bbp.18.state=+3060+&form.task=visited&task_type=1&bbp.366.stack=374&desc=&bbp.374.stack=411&g11n.enc=UTF-8&name=task2
guruErrorReport: 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.132:141affab:f85f47239f -*-*-*-
-*-*-*- Message:  (root cause: Unable to send all events to database for object
[com.arsdigita.cms.workflow.CMSTask:{id=28026}] because these required
properties are null:
 [com.arsdigita.cms.workflow.CMSTask:{id=28026}].description) -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Content-Length: 366
Content-Type: application/x-www-form-urlencoded
Cookie: JSESSIONID=aAykW-DBWck6;
ad_user_login=1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ==
Host: rwsu.boston.redhat.com:9003
Keep-Alive: 300
Referer:
http://rwsu.boston.redhat.com:9003/ccm/content/admin/index.jsp?bbp.68.ps=20&bbp.681.stack=689&bbp.542.sel=13026&bbp.916.sel=3070&bbp.793.d=asc&bbp.s=432&bbp.781.d=asc&bbp.18.sel=3060&bbp.i=d0.4.1.2.1.a6.1.y.1&bbp.3.pane=3&bbp.916.state=+3070+&bbp.366.stack=374&g11n.enc=UTF-8&bbp.18.state=+3060+&bbp.1006.d=asc&g11n.enc=UTF-8
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aAykW-DBWck6 (expires: -1)
ad_user_login: 1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.FlushException:  (root cause:
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.cms.workflow.CMSTask:{id=28026}] because these required
properties are null:
 [com.arsdigita.cms.workflow.CMSTask:{id=28026}].description)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:134)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:109)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:424)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.cms.ui.workflow.TaskAddForm$ProcessListener.process(TaskAddForm.java:100)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:259)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:339)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)
Root cause: 
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.cms.workflow.CMSTask:{id=28026}] because these required
properties are null:
 [com.arsdigita.cms.workflow.CMSTask:{id=28026}].description
	at com.redhat.persistence.Session.assertFlushed(Session.java:431)
	at com.arsdigita.persistence.DataObjectImpl.assertFlushed(DataObjectImpl.java:435)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:418)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.cms.ui.workflow.TaskAddForm$ProcessListener.process(TaskAddForm.java:100)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:259)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:339)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@6162ffbf = {
m_page = com.arsdigita.cms.ui.ContentSectionPage@3e2cffa9,
m_request = com.caucho.server.http.DispatchRequest@77e77faf,
m_response = com.caucho.server.http.HttpResponse@77c3ffab,
m_pageState = com.arsdigita.bebop.FormData@6160ffbf = {
m_parameterDataValues = {bbp.68.ps={20, []}, bbp.749.ch={null, []},
bbp.410.stack={null, []}, bbp.1006.col={null, []}, bbp.1061.sel={null, []},
bbp.19.ct={null, []}, bbp.560.sel={null, []}, bbp.268.sel={null, []},
bbp.681.stack={[Ljava.lang.Integer;@6fd3ffbf, []}, bbp.91.sel={null, []},
bbp.74.col={null, []}, bbp.1093.sel={null, []}, bbp.90.state={null, []},
bbp.755.sc={null, []}, bbp.1082.sel={null, []}, bbp.767.t={null, []},
bbp.793.mid={null, []}, bbp.170.row={null, []}, bbp.858.row={null, []},
bbp.888.sel={null, []}, bbp.767.c={null, []}, bbp.202.sel={null, []},
bbp.240.sel={null, []}, bbp.456.row={null, []}, bbp.137.row={null, []},
bbp.62.act={null, []}, bbp.992.col={null, []}, bbp.605.row={null, []},
bbp.761.pl={null, []}, bbp.828.col={null, []}, bbp.34.fldr={null, []},
bbp.355.sel={null, []}, bbp.1115.sel={null, []}, bbp.814.row={null, []},
bbp.542.sel={13026, []}, bbp.300.col={null, []}, bbp.1104.sel={null, []},
bbp.1048.sel={null, []}, bbp.916.sel={3070, []}, bbp.793.o={null, []},
bbp.290.row={null, []}, bbp.333.sel={null, []}, bbp.466.row={null, []},
bbp.1131.sel={null, []}, bbp.120.row={null, []}, bbp.781.o={null, []},
query={null, []}, bbp.781.m={null, []}, bbp.793.d={asc, []}, bbp.311.sel={null,
[]}, bbp.221.stack={null, []}, bbp.v={null, []}, bbp.793.col={null, []},
bbp.s={411, []}, bbp.781.d={asc, []}, bbp.425.col={null, []}, privs_set={null,
[]}, bbp.18.sel={3060, []}, bbp.555.stack={null, []}, bbp.618.sel={null, []},
bbp.694.sel={null, []}, bbp.i={{4, 7, 374, 409, 411}, []}, bbp.1031.sel={null,
[]}, bbp.83.sel={null, []}, bbp.964.sel={null, []}, bbp.e={null, []},
bbp.74.row={null, []}, bbp.27.iid={null, []}, bbp.3.pane={3, []},
bbp.72.sel={null, []}, bbp.916.state={ 3070 , []}, single_type={null, []},
bbp.584.sel={null, []}, bbp.927.stack={null, []}, bbp.254.sel={null, []},
bbp.374.stack={[Ljava.lang.Integer;@60847fbf, []}, bbp.547.stack={null, []},
bbp.403.sel={null, []}, bbp.781.col={null, []}, bbp.689.stack={null, []},
bbp.62.srcs={null, []}, bbp.1006.mid={null, []}, bbp.391.sel={null, []},
bbp.170.col={null, []}, bbp.502.sel={null, []}, bbp.644.sel={null, []},
bbp.992.row={null, []}, bbp.858.col={null, []}, bbp.828.row={null, []},
bbp.518.sel={null, []}, bbp.212.stack={null, []}, bbp.27.bid={null, []},
bbp.456.col={null, []}, bbp.137.col={null, []}, bbp.919.stack={null, []},
bbp.605.col={null, []}, bbp.226.sel={null, []}, bbp.534.sel={null, []},
bbp.676.sel={null, []}, bbp.572.sel={null, []}, bbp.300.row={null, []},
bbp.366.stack={[Ljava.lang.Integer;@60a8bfbf, []}, bbp.49.fldr={null, []},
bbp.1006.o={null, []}, bbp.935.sel={null, []}, bbp.814.col={null, []},
bbp.710.sel={null, []}, bbp.379.sel={null, []}, g11n.enc={UTF-8, []},
bbp.63.target={null, []}, bbp.290.col={null, []}, bbp.726.sel={null, []},
bbp.18.state={ 3060 , []}, bbp.1128.sel={null, []}, bbp.466.col={null, []},
bbp.1006.d={asc, []}, bbp.120.col={null, []}, bbp.425.row={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@550bfa9,
m_locale = en,
m_isTransformed = true,
m_isValid = true,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 5, 6, 8, 9, 10, 20, 21, 22, 23, 63, 69, 114, 115, 116, 169,
202, 213, 214, 215, 216, 217, 218, 219, 220, 221, 273, 274, 275, 276, 277, 278,
367, 368, 369, 370, 371, 372, 373, 408, 410, 412, 413, 433, 434, 435, 436, 548,
549, 550, 551, 552, 553, 554, 555, 589, 590, 591, 592, 593, 682, 683, 684, 685,
686, 687, 688, 689, 731, 732, 733, 734, 735, 768, 808, 809, 810, 857, 920, 921,
922, 923, 924, 925, 926, 927, 969, 970, 971, 972, 973, 974, 975, 976, 977, 978}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.cms.ui.workflow.WorkflowAdminPane$SelectionRequestLocal@1f0effa4=[com.arsdigita.workflow.simple.WorkflowTemplate:{id=13026}],
com.arsdigita.bebop.Form$2@5ba7bfa4=}
com.arsdigita.cms.dispatcher.section: [com.arsdigita.cms.ContentSection:{id=3064}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@398e7fbe
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@4792ffb8=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 3064
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/content/admin/index.jsp?bbp.18.sel=3060&bbp.68.ps=20&bbp.916.state=+3070+&bbp.1006.d=asc&bbp.781.d=asc&bbp.3.pane=3&bbp.s=411&bbp.916.sel=3070&bbp.793.d=asc&bbp.i=d0.4.1.2.1.a6.1.y.1.1.1&bbp.542.sel=13026&bbp.681.stack=689&finish=%C2%A0%C2%A0%C2%A0Finish%C2%A0%C2%A0%C2%A0&bbp.18.state=+3060+&form.task=visited&task_type=1&bbp.366.stack=374&desc=&bbp.374.stack=411&g11n.enc=UTF-8&name=task2

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/admin/index.jsp
Query string: app-id=3064
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ANSI_X3.4-1968
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xerces.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xalan.jar:/ora8/m01/app/oracle/product/9.2/jdbc/lib/classes12.zip:/usr/share/pgsql/java/rh-pgsql-jdbc2.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/local/java/lib/tools.jar:/usr/local/java/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /usr/local/java/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.home: /usr/local/java/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/local/java/jre/bin:/usr/local/java/jre/bin/classic:/ora8/m01/app/oracle/product/9.2/lib:/lib/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-20.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/usr/local/java/jre/lib/rt.jar:/usr/local/java/jre/lib/i18n.jar:/usr/local/java/jre/classes
sun.boot.library.path: /usr/local/java/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /usr/opt/resin/2.1.4
user.home: /home/rwsu
user.language: en
user.name: rwsu
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-

guruMeditationCode: 172.16.64.132:141affab:f85f47239f

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/content/admin/index.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ANSI_X3.4-1968
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xerces.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xalan.jar:/ora8/m01/app/oracle/product/9.2/jdbc/lib/classes12.zip:/usr/share/pgsql/java/rh-pgsql-jdbc2.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/local/java/lib/tools.jar:/usr/local/java/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /usr/local/java/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.home: /usr/local/java/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/local/java/jre/bin:/usr/local/java/jre/bin/classic:/ora8/m01/app/oracle/product/9.2/lib:/lib/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-20.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/usr/local/java/jre/lib/rt.jar:/usr/local/java/jre/lib/i18n.jar:/usr/local/java/jre/classes
sun.boot.library.path: /usr/local/java/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /usr/opt/resin/2.1.4
user.home: /home/rwsu
user.language: en
user.name: rwsu
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new workflow from the admin UI
2. Create a new task for that workflow and omit description

    

Actual Results:  You should see a FlushException thrown

Expected Results:  No exception should be thrown if description is not required.
If it is required, then we need to add a validation listener for that parameter.

Additional info:
Comment 1 Jon Orris 2003-10-21 13:33:10 EDT

*** This bug has been marked as a duplicate of 106086 ***
Comment 2 Red Hat Bugzilla 2006-02-21 13:59:18 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.